Subject: bug#11575: 24.1.50; rev 107888 breaks S-mouse mark region in cua-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Aug 2016 18:10:01 +0300

> From: [email-masked]
> Date: Fri, 05 Aug 2016 19:17:05 -0400
> Cc: [email-masked]
> 
> > I use cua-mode in emacs (trunk) and do
> >
> >
> > to be able to use S-mouse-1 to select a region. I recently found this 
> > behaviour broken. The mark gets set but no region is created.
> 
> Confirmed this is still the case in 25.1-rc1
> 
> I recopy the recipe here, because the OP had some annoying line wrapping
> on the comment.
> 
>  ;; shift + click select region
>   (define-key global-map (kbd "<S-down-mouse-1>") 'ignore) ; turn off font dialog
>   (define-key global-map (kbd "<S-mouse-1>") 'mouse-set-point)
>   (put 'mouse-set-point 'CUA 'move)
>   (cua-mode t)

CUA switched to using shift-selection mode, which, AFAIU, cannot
support shifted mouse clicks.  If I'm right, then I think the only way
to recover this functionality is to have a separate command in CUA,
that users could bind to the likes of S-mouse-1.